# $Revision: 1.5 $, $Date: 2010/08/17 08:22:58 $
#
# TODO:	- pl
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MooseX
%define		pnam	Has-Sugar
Summary:	MooseX::Has-Sugar - Sugar Syntax for moose 'has' fields
Name:		perl-MooseX-Has-Sugar
Version:	0.05046611
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/K/KE/KENTNL/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c4c51df69741d8aa2f9d201681c600e0
URL:		http://search.cpan.org/dist/MooseX-Has-Sugar/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Find-Lib
BuildRequires:	perl-MooseX-Types
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-use-ok
BuildRequires:	perl-namespace-autoclean
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sugar Syntax for moose 'has' fields.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	--prefix="%{_prefix}" \
	--installdirs="vendor"

%{__perl} Build

%{?with_tests:%{__perl} Build test}

%install
rm -rf $RPM_BUILD_ROOT

%{__perl} Build install \
	--destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{_mandir}/man3/*
%dir %{perl_vendorlib}/MooseX/Has
%{perl_vendorlib}/MooseX/Has/Sugar.pm
%dir %{perl_vendorlib}/MooseX/Has/Sugar
%{perl_vendorlib}/MooseX/Has/Sugar/Minimal.pm
%{perl_vendorlib}/MooseX/Has/Sugar/Saccharin.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MooseX-Has-Sugar.spec,v $
Revision 1.5  2010/08/17 08:22:58  lisu
- up to 0.05046611

Revision 1.4  2010/07/30 09:36:17  lisu
- new Source0 URL

Revision 1.3  2010/07/30 09:26:42  lisu
- 0.05044303

Revision 1.2  2010/01/21 15:24:18  lisu
- updated to 0.0405
- build using Module::Build instead of MakeMaker

Revision 1.1  2009/11/19 10:28:22  lisu
- added to PLD

